Bug 50074 - Remove WebCore/platform/mac/GeolocationServiceMac.{h,mm}
Summary: Remove WebCore/platform/mac/GeolocationServiceMac.{h,mm}
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks: 40373
  Show dependency treegraph
 
Reported: 2010-11-25 06:34 PST by John Knottenbelt
Modified: 2010-12-11 10:12 PST (History)
5 users (show)

See Also:


Attachments
Patch (11.18 KB, patch)
2010-12-09 07:51 PST, John Knottenbelt
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Knottenbelt 2010-11-25 06:34:15 PST
GeolocationService is deprecated in favour of the client-based design. Since WebKit mac uses client-based design, this code is not used and can be removed.
Comment 1 John Knottenbelt 2010-12-09 07:51:56 PST
Created attachment 76065 [details]
Patch
Comment 2 Steve Block 2010-12-10 06:46:51 PST
The client-based Mac implementation was added by Sam in http://trac.webkit.org/changeset/52368. Mac already builds with the client-based impl so this is dead code.
Comment 3 Steve Block 2010-12-10 06:48:45 PST
Comment on attachment 76065 [details]
Patch

LGTM, but let's give Sam a chance to reply before you submit.
Comment 4 Eric Seidel (no email) 2010-12-10 20:59:55 PST
Comment on attachment 76065 [details]
Patch

LGTM.  We can easily resurrect this from svn if needed.  If it doesn't break any builds, it's unlikely to be used.
Comment 5 Eric Seidel (no email) 2010-12-10 21:00:10 PST
CCing someone from iOS too.
Comment 6 WebKit Commit Bot 2010-12-10 22:50:23 PST
Comment on attachment 76065 [details]
Patch

Clearing flags on attachment: 76065

Committed r73839: <http://trac.webkit.org/changeset/73839>
Comment 7 WebKit Commit Bot 2010-12-10 22:50:29 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 David Kilzer (:ddkilzer) 2010-12-11 10:12:56 PST
(In reply to comment #5)
> CCing someone from iOS too.

Thanks Eric.  The iOS port is using non-client-based Geolocation, but our implementation is in a file called GeolocationServiceCoreLocation.mm which hasn't been upstreamed yet.  The GeolocationServiceMac.* source files were not used by the iOS port.